function XX=JMCBchabotmoul8b(g);

global D4 Dro600 Dro601 Dro602 Dro603 Dro607 SCO60

%IN CASE PARAMETER-GUESSES GENERATE IMAGINARY VALUES FOR OBJECTIVE FUNCTION 
if g(2)<0;
    XX=1000000000000000000000000000000000000;
else;
    
%DISPLAY TO SEE ONGOING PARAMETERS    
%disp(g')


sd4=size(D4,1);

%DEFINITION OF POPULATION MEASURES
Pop60=D4(:,10)/1000;%aggregate population in 1860

%DEFINITION OF BANKING MEASURES
N60=D4(:,26);%number of banks in 1860

%RE-NAMING DROUGHT VARIABLES
Dro11=Dro607;
PopDr=Pop60.*Dro11;

%DEFINITION OF OTHER VARIABLES
int=ones(sd4,1);
IN=D4(:,20);
SB60=D4(:,54);%indicator for state-branch in mkt in '60
RR60=D4(:,56);%indicator for railroad in mkt's county in '60
AL60=D4(:,58);%indicator for high-asset incumbent in '60
FR54=D4(:,59);
FR57=D4(:,60);
FRAvg=D4(:,61);

INFR54=IN.*FR54;
INFR57=IN.*FR57;
INFRAvg=IN.*FRAvg;

%DE-MEANING VARIABLES (makes intercept interpretation easier)
Dro11=Dro11-mean(Dro11);
PopDr=PopDr-mean(PopDr);
RR60=RR60-mean(RR60);
FR54=FR54-mean(FR54);
FR57=FR57-mean(FR57);
FRAvg=FRAvg-mean(FRAvg);
INFR54=INFR54-mean(INFR54);
INFR57=INFR57-mean(INFR57);
INFRAvg=INFRAvg-mean(INFRAvg);

%TRANSFORMING POPULATION FOR AGV TREATMENT
Pop60=log(Pop60*1000);


Pr=[];
for i=1:sd4;
    if SCO60(i)==0;

    EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*SCO60(i)-g(8)*RR60(i);
    EX2=g(1)+g(2)+log(2)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*SCO60(i)-g(8)*RR60(i);
    EX3=g(1)+g(3)+log(3)-g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*SCO60(i)-g(8)*RR60(i);


    if N60(i)==0;
        Pr1=normcdf(EX1);
    elseif N60(i)==1;
        Pr1=normcdf(EX2)-normcdf(EX1);
    elseif N60(i)==2;
        Pr1=normcdf(EX3)-normcdf(EX2);        
    else Pr1=1-normcdf(EX3);
    end;    
    Pr=[Pr;Pr1];
    else
        
       EX1=g(1)            -g(4)*Pop60(i)-g(5)*Dro11(i)-g(6)*PopDr(i)-g(7)*SCO60(i)-g(8)*RR60(i);

    if N60(i)==0;
        Pr1=normcdf(EX1);
    else Pr1=1-normcdf(EX1);
    end;
    Pr=[Pr;Pr1];
    end;    
end;

lnPr=log(Pr);
XX=-sum(lnPr);
%disp(XX)
    
end;


