%creating distance matrix among all towns (in miles)

global DistMat bankdata5

D=bankdata5;

szd=size(D,1);

%transforming info into degrees
Lat=D(:,14)/1000000;
Lon=D(:,15)/1000000;

%converting degrees to radians
Lat=Lat*pi/180;
Lon=Lon*pi/180;

D1=zeros(szd,szd);

%Spherical Law of Cosines (ignores ellipsoidal effects)
for i=1:szd;
    for k=1:szd;
        D1(i,k)=acos(sin(Lat(i))*sin(Lat(k))+...
            cos(Lat(i))*cos(Lat(k))*cos(Lon(k)-Lon(i)))*3958.94;
    end;
%    disp(i)
end;

DistMat=real(D1);

